[mutter] tests/kvm/virtme-runner: Add more logging
- From: Marge Bot <marge-bot src gnome org>
- To: commits-list gnome org
- Cc:
- Subject: [mutter] tests/kvm/virtme-runner: Add more logging
- Date: Fri, 19 Aug 2022 14:24:02 +0000 (UTC)
commit 9c1cd66d41d86ac870794a251ffb40e17b931aa2
Author: Jonas Ã…dahl <jadahl gmail com>
Date: Tue Aug 9 00:49:30 2022 +0200
tests/kvm/virtme-runner: Add more logging
Part-of: <https://gitlab.gnome.org/GNOME/mutter/-/merge_requests/2561>
src/tests/kvm/virtme-run.sh | 9 +++++++++
1 file changed, 9 insertions(+)
---
diff --git a/src/tests/kvm/virtme-run.sh b/src/tests/kvm/virtme-run.sh
index e41d21c77e..a109dafe76 100755
--- a/src/tests/kvm/virtme-run.sh
+++ b/src/tests/kvm/virtme-run.sh
@@ -36,6 +36,7 @@ SCRIPT="\
$(printf "\"%s\" " "${@:6}")\
"
+echo Running tests in virtual machine ...
virtme-run \
--memory=256M \
--rw \
@@ -43,8 +44,16 @@ virtme-run \
--kimg "$IMAGE" \
--script-sh "sh -c \"$SCRIPT\"" \
--qemu-opts -cpu host,pdcm=off -smp 2
+VM_RESULT=$?
+if [ $VM_RESULT != 0 ]; then
+ echo Virtual machine exited with a failure: $VM_RESULT
+else
+ echo Virtual machine terminated.
+fi
TEST_RESULT="$(cat "$TEST_RESULT_FILE")"
rm "$TEST_RESULT_FILE"
+echo Test result exit status: $TEST_RESULT
+
exit "$TEST_RESULT"
[
Date Prev][
Date Next] [
Thread Prev][
Thread Next]
[
Thread Index]
[
Date Index]
[
Author Index]